Move more scripts
authorMark Spencer <markster@digium.com>
Mon, 12 Jan 2004 03:15:34 +0000 (03:15 +0000)
committerMark Spencer <markster@digium.com>
Mon, 12 Jan 2004 03:15:34 +0000 (03:15 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@1966 65c4cc65-6c06-0410-ace0-fbb531ad65f3

Makefile
astgenkey [deleted file]
safe_asterisk [deleted file]

index a49fb5e..6ba98dc 100755 (executable)
--- a/Makefile
+++ b/Makefile
@@ -299,8 +299,10 @@ bininstall: all
        mkdir -p $(DESTDIR)$(ASTVARRUNDIR)
        mkdir -p $(DESTDIR)$(ASTSPOOLDIR)/voicemail
        install -m 755 asterisk $(DESTDIR)$(ASTSBINDIR)/
-       install -m 755 astgenkey $(DESTDIR)$(ASTSBINDIR)/
-       install -m 755 safe_asterisk $(DESTDIR)$(ASTSBINDIR)/
+       install -m 755 contrib/scripts/astgenkey $(DESTDIR)$(ASTSBINDIR)/
+       if [ ! -f $(DESTDIR)$(ASTSBINDIR)/safe_asterisk ]; then
+               install -m 755 contrib/scripts/safe_asterisk $(DESTDIR)$(ASTSBINDIR)/
+       fi
        for x in $(SUBDIRS); do $(MAKE) -C $$x install || exit 1 ; done
        install -d $(DESTDIR)$(ASTHEADERDIR)
        install include/asterisk/*.h $(DESTDIR)$(ASTHEADERDIR)
diff --git a/astgenkey b/astgenkey
deleted file mode 100755 (executable)
index 31873e8..0000000
--- a/astgenkey
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh
-#
-# Usage: astgenkey [ -q ] [keyname]
-#
-if [ "$1" = "-q" ]; then
-       QUIET='y'
-       KEY=$2
-else
-       KEY=$1
-fi
-
-if [ "$QUIET" != 'y' ]; then
-       echo ""
-       echo "This script generates an RSA private and public key pair"
-       echo "in PEM format for use by Asterisk.  You will be asked to"
-       echo "enter a passcode for your key multiple times.  Please"
-       echo "enter the same code each time.  The resulting files will"
-       echo "need to be moved to /var/lib/asterisk/keys if you want"
-       echo "to use them, and any private keys (.key files) will"
-       echo "need to be initialized at runtime either by running"
-       echo "Asterisk with the '-i' option, or with the 'init keys'"
-       echo "command once Asterisk is running."
-       echo ""
-       echo "Press ENTER to continue or ^C to cancel."
-       read BLAH
-fi
-
-while [ "$KEY" = "" ]; do
-       echo -n "Enter key name: "
-       read KEY
-done
-
-rm -f ${KEY}.key ${KEY}.pub
-
-echo "Generating SSL key '$KEY': "
-openssl genrsa -out ${KEY}.key -des3 1024
-openssl rsa -in ${KEY}.key -pubout -out ${KEY}.pub
-
-if [ -f "${KEY}.key" ] && [ -f "${KEY}.pub" ]; then
-       if [ "$QUIET" != 'y' ]; then
-               echo "Key creation successful."
-               echo "Public key:  ${KEY}.pub"
-               echo "Private key: ${KEY}.key"
-       fi
-else
-       echo "Unknown error creating keys."
-fi
diff --git a/safe_asterisk b/safe_asterisk
deleted file mode 100755 (executable)
index 326c6e0..0000000
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/bin/sh
-TTY=9                  # TTY (if you want one) for Asterisk to run on
-CONSOLE=yes            # Whether or not you want a console
-#NOTIFY=ben@alkaloid.net       # Who to notify about crashes
-DUMPDROP=/tmp
-#
-# Don't fork when running "safely"
-#
-ASTARGS=""
-if [ "$TTY" != "" ]; then
-       if [ -c /dev/tty${TTY} ]; then
-               TTY=tty${TTY}
-       elif [ -c /dev/vc/${TTY} ]; then
-               TTY=vc/${TTY}
-       else
-               echo "Cannot find your TTY (${TTY})" >&2
-               exit 1
-       fi
-       ASTARGS="${ASTARGS} -vvvg"
-       if [ "$CONSOLE" != "no" ]; then
-               ASTARGS="${ASTARGS} -c"
-       fi
-fi
-if [ ! -w ${DUMPDROP} ]; then  
-       echo "Cannot write to ${DUMPDROP}" >&2
-       exit 1
-fi
-
-#
-# Let Asterisk dump core
-#
-ulimit -c unlimited
-
-#launch_asterisk()
-#{
-#}
-
-run_asterisk()
-{
-       while :; do 
-
-               if [ "$TTY" != "" ]; then
-                       cd /tmp
-                       stty sane < /dev/${TTY}
-                       asterisk ${ASTARGS} >& /dev/${TTY} < /dev/${TTY}
-               else
-                       cd /tmp
-                       asterisk ${ASTARGS}
-               fi
-               EXITSTATUS=$?
-               echo "Asterisk ended with exit status $EXITSTATUS"
-               if [ "$EXITSTATUS" = "0" ]; then
-                       # Properly shutdown....
-                       echo "Asterisk shutdown normally."
-                       exit 0
-               elif [ $EXITSTATUS -gt 128 ]; then
-                       let EXITSIGNAL=EXITSTATUS-128
-                       echo "Asterisk exited on signal $EXITSIGNAL."
-                       if [ "$NOTIFY" != "" ]; then
-                               echo "Asterisk exited on signal $EXITSIGNAL.  Might want to take a peek." | \
-                               mail -s "Asterisk Died" $NOTIFY
-                       fi
-                        if [ -f /tmp/core ]; then
-                               mv /tmp/core ${DUMPDROP}/core.`hostname`-`date -Iseconds` &
-                       fi
-               else
-                       echo "Asterisk died with code $EXITSTATUS.  Aborting."
-                        if [ -f /tmp/core ]; then
-                               mv /tmp/core ${DUMPDROP}/core.`hostname`-`date -Iseconds` &
-                       fi
-                       exit 0
-               fi
-               echo "Automatically restarting Asterisk."
-       done
-}
-
-run_asterisk &